/*
 * Microcode declarations for Broadcom 802.11abg
 * Networking Adapter Device Driver.
 *
 *
 * Copyright 2005-2006, Broadcom Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 * $Id$
 */

/* ucode and inits structure */
typedef struct {
	uint16	addr;
	uint16	size;
	uint32	value;
} d11init_t;

#define CONST	const

/* ucode and inits */
extern CONST uint32 d11ucode4[];
extern CONST uint d11ucode4sz;
extern CONST uint32 d11ucode5[];
extern CONST uint d11ucode5sz;
extern CONST uint32 d11ucode11[];
extern CONST uint d11ucode11sz;

extern CONST uint32 d11pcm4[];
extern CONST uint d11pcm4sz;
extern CONST uint32 d11pcm5[];
extern CONST uint d11pcm5sz;

extern CONST d11init_t d11b0g0initvals4[];
extern CONST d11init_t d11b0g0bsinitvals4[];
extern CONST d11init_t d11a0g0initvals4[];
extern CONST d11init_t d11a0g0bsinitvals4[];
extern CONST d11init_t d11b0g0initvals5[];
extern CONST d11init_t d11b0g0bsinitvals5[];
extern CONST d11init_t d11a0g0initvals5[];
extern CONST d11init_t d11a0g1initvals5[];
extern CONST d11init_t d11a0g0bsinitvals5[];
extern CONST d11init_t d11a0g1bsinitvals5[];
extern CONST d11init_t d11n0initvals11[];
extern CONST d11init_t d11n0bsinitvals11[];
